=== debian/changelog ===
featherpad (1.3.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Used Qt D-Bus for creating a single-instance app (because the lock-file
      method failed under harsh circumstances).
    - Removed the qmake compilation (have no time for it, especially with
    - Added a workaround for a Qt5 bug that caused a crash if SIGTERM was sent
      while the replacement dock was visible.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Aug 2022 13:15:13 -0700

featherpad (1.3.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Added an option for using system icons where possible. By default,
      internal icons are used.
    - Set the scroll mode to per-pixel in the side-pane as a workaround for a
      bug in QListWidget's auto-scrolling.
    - With Qt6, accept the close event on receiving SIGTERM and similar signals
      (because, in Qt6, "qApp->quit()" calls "closeEvent()").
    - Make sure all windows are deleted when receiving SIGTERM and similar
      signals.
    - Made Qt6 font setting backward-compatible.
    - Fixed the problems in restoring of window size and position.
    - Added a workaround for a QPlainTextEdit bug that doesn't report a
      selection change on undoing/redoing.
    - Fixed the selection highlighting with huge selections.
    - Fixed a problem in highlighting of Yaml literal blocks.
    - Center page numbers horizontally when printing.
    - Highlight cmake's bracket comments and bracket arguments.

  * Switch to cmake build system.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jun 2022 12:44:08 -0700
