## featherpad 1.3.2

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -6,27 +6,17 @@
 
 if(NOT ENABLE_QT5)
   set(QT_VERSION_MAJOR 6)
-  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6PrintSupport "${QT6_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt6DBus "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg PrintSupport DBus)
 else()
   set(QT_VERSION_MAJOR 5)
-  find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5PrintSupport "${QT5_MINIMUM_VERSION}" REQUIRED)
-  find_package(Qt5DBus "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg PrintSupport DBus)
 endif()
 
 # for spell checking (see FindHUNSPELL.cmake)
 find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)
 
 # optional localization
-find_package(Qt${QT_VERSION_MAJOR}LinguistTools QUIET)
+find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools)
 
 # OS/2 needs an additional lib and tune the processor
 if(OS2)
@@ -37,7 +27,7 @@
 # X11 for Linux/Unix
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
   if(QT_VERSION_MAJOR EQUAL 5)
-    find_package(Qt5X11Extras "${QT5_MINIMUM_VERSION}" REQUIRED)
+    find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS X11Extras)
   endif()
   find_package(X11 REQUIRED)
 endif()
@@ -95,6 +85,7 @@
 set(featherpad_SRCS
     main.cpp
     singleton.cpp
+    signalDaemon.cpp
     fpwin.cpp
     encoding.cpp
     tabwidget.cpp
@@ -136,6 +127,7 @@
     highlighter/highlighter-rust.cpp
     highlighter/highlighter-sh.cpp
     highlighter/highlighter-tcl.cpp
+    highlighter/highlighter-toml.cpp
     highlighter/highlighter-xml.cpp
     highlighter/highlighter-yaml.cpp)
