## featherpad 1.3.3

=== debian/changelog ===
featherpad (1.3.3-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Crash on pasting empty clipboard is fixed. The fix can be seen as a
      workaround because the root cause is in Qt.
    - Silenced the compilation warnings with Qt 6.4.
    - Covered indented here-docs in Bash and Perl syntax highlighting.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Oct 2022 15:19:53 -0700
