## featherpad 1.3.4

=== debian/changelog ===
featherpad (1.3.4-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Enable/disable the Paste action of the Edit menu appropriately.
    - Covered single quote as digit separator in C++(≥14) syntax highlighting.
    - Initialize variables of "TextEdit" and "TabBar" before events are
      triggered.
    - Enabled instant tooltips and corrected context menus on Wayland, by
      specifying their parent widgets.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Dec 2022 17:14:41 -0800
