## featherpad 1.3.5

=== CMakeLists.txt ===
project(featherpad)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_BUILD_TYPE Release)
add_definitions(-Wall)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  if(HAIKU)
    set(CMAKE_INSTALL_PREFIX "/boot/home/config/non-packaged/apps/FeatherPad")
  elseif(APPLE)
    set(CMAKE_INSTALL_PREFIX "/Applications")
  elseif(UNIX)
    set(CMAKE_INSTALL_PREFIX "/usr")
  elseif(OS2)
    set(CMAKE_INSTALL_PREFIX "/@unixroot/usr/")
  endif()
endif()

option(ENABLE_QT5 "Building Qt5 plugin." ON)
option(WITHOUT_X11 "Compiling without X11..." OFF)
# OS/2 never has X11
if (OS2)
  option(WITHOUT_X11 "Compiling without X11..." ON)
endif()

add_subdirectory(featherpad)
