=== debian/changelog ===
featherpad (1.3.5-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Jan 2023 15:04:06 -0800

featherpad (1.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 10 Jan 2023 22:07:22 +0800

featherpad (1.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2:
    * Add Rules-Requires-Root: no.
  * Add ChangZhuo Chen (陳昌倬) as uploader.
  * Update d/watch for GitHub.
  * Remove unnecessary -Wl,--as-needed in d/rules.
  * Remove unnecessary --fail-missing in d/rules.
  * Reformat and sort d/control.
  * Sort d/copyright

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 25 Dec 2022 03:33:11 +0800
