=== debian/control ===
--- 
+++ 
@@ -2,28 +2,31 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: editors
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libhunspell-dev,
-               libqt5svg5-dev (>= 5.15.0),
-               libqt5x11extras5-dev (>= 5.15.0),
+               libqt5svg5-dev,
+               libqt5x11extras5-dev,
                libx11-dev,
                libxext-dev,
                pkg-config,
-               qtbase5-dev (>= 5.15.0),
-               qttools5-dev (>= 5.15.0),
-               qttools5-dev-tools (>= 5.15.0)
-Standards-Version: 4.5.1
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
 Homepage: https://github.com/tsujan/featherpad
+Rules-Requires-Root: no
 
 Package: featherpad
 Architecture: any
-Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         featherpad-l10n, libglib2.0-bin
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a
