## featherpad 1.4.0

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -89,6 +89,7 @@
     fpwin.cpp
     encoding.cpp
     tabwidget.cpp
+    menubartitle.cpp
     lineedit.cpp
     textedit.cpp
     tabbar.cpp
