=== debian/changelog ===
featherpad (1.4.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Check the view cursor before setting it.
    - Recognize `text/plain;charset=…` as plain text when pasting (Qt doesn't).
    - Highlight comments inside formulas with LaTex.
    - Use icons in the recent files menu where possible.
    - Prevent tab DND from tab close button.
    - Focus side-pane with Ctrl+Escape.
    - Safeguard the file type filters of file dialogs from bad translations.
    - Added `application/x-zerosize` to the desktop file (after a change
      in GLib).
    - Added an option for showing window title on the menubar.
    - Fixed the tab tooltip for special folders.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Apr 2023 14:35:25 -0700
