=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,10 @@
 # optional localization
 find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools)
 
-# OS/2 needs an additional lib and tune the processor
-if(OS2)
+if(HAIKU)
+  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lnetwork")
+elseif(OS2)
+  # OS/2 needs an additional lib and tune the processor
   add_definitions(-mtune=pentium4 -march=pentium4)
   set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
 endif()
