=== debian/changelog ===
featherpad (1.4.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Added more types to C/C++ syntax highlighting.
    - To prevent problems on non-Linux systems, don't handle main arguments
      before calling `QCoreApplication` (Haiku OS may not provide a string
      argument before `QCoreApplication` is called).
    - Added an option for a small margin around the text.
    - Prevented window dragging from the line number strip (which was possible
      with widget styles like Kvantum).
    - In Preferences dialog, don't let the mouse wheel focus spin and combo
      boxes or change their values when they aren't focused.
    - In Preferences dialog, set the values of spin-boxes to their defaults if
      they are cleared.
    - Don't remove single trailing spaces with LaTeX. Also, added more formula
      keywords to LaTeX.
    - Fixed showing of the number of selected characters without selection
      highlighting.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Jun 2023 14:31:49 -0700
