=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         featherpad-l10n, libglib2.0-bin
+Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a
