## featherpad 1.5.0

=== debian/changelog ===
featherpad (1.5.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.5.0
    - Removed Qt5 support.
    - Prevent the cursor position from being changed when files are dropped
      into the text view.
    - Support regex replacement with capturing groups. The credit goes to
      Marco Holmer for suggesting not only this feature but also the way of
      implementing it.
    - Enhanced the conversion to start case by including 100,000 characters
      and also finding the first letter of each word.
    - Scroll horizontally with mouse wheel inside text view if Alt is pressed
      and horizontal scrollbar is visible.
    - Highlight Openbox's "themerc" files (revived by LabWC).
    - Fixed a rare issue in the geometry of a warning bar animated during
      window resizing.
    - Covered a case of here-strings in bash.

  * Change to Qt6 build depends.
  * Make recommended packages explicit dependencies.
  * Recommend qt6-gtk-platformtheme.
  * Update copyright.
  * Change Qt5 to Qt6 in descriptions.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Feb 2024 09:43:52 -0800

featherpad (1.4.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.1
  * debian/control: update team address.
  * debian/copyright: update.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/salsa-ci.yml: added.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 14:03:43 +0200
