=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: featherpad
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
@@ -9,14 +9,14 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libhunspell-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libqt6svg6-dev,
                libx11-dev,
                libxext-dev,
                pkg-config,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qt6-base-dev,
+               qt6-base-dev-tools,
+               qt6-tools-dev,
+               qt6-tools-dev-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
@@ -25,9 +25,11 @@
 
 Package: featherpad
 Architecture: any
-Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
-Description: Lightweight Qt5 plain-text editor
- FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         featherpad-l10n, libglib2.0-bin
+Recommends: qt6-gtk-platformtheme
+Description: Lightweight Qt6 plain-text editor
+ FeatherPad is a lightweight Qt6 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a
  modern editor.
  .
