=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 
-export QT_SELECT = 5
+export QT_SELECT = 6
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
