=== debian/changelog ===
featherpad (1.5.1-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.5.1:
    -  Added a safe and simple workaround for KWin6 under X11.
    - Under X11, if there is a minimized window on the current desktop,
      open files as new tabs in it and unminimize it.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 May 2024 07:28:02 -0700
