=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         featherpad-l10n, libglib2.0-bin
+Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qt6-gtk-platformtheme
 Description: Lightweight Qt6 plain-text editor
  FeatherPad is a lightweight Qt6 plain-text editor for Linux. It is independent
