## featherpad 1.5.2

=== debian/changelog ===
featherpad (1.5.2-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.5.2:
    - Fixed the printing thread. (Previously, it created many instances of the
      warning message "QBasicTimer::start: Timers cannot be started from
      another thread" because the document wasn't inside the printing thread.)
    - Fixed an old issue in replacement highlighting of multiple tabs.
    - Demand attention under Wayland when a window needs activation, although
      window managers may ignore it.
    - Don't escape a start single quote in C/C++ when it follows a letter
      or number.
    - Skip double-parenthesis constructs with bash here-docs.
    - Don't try to save as root when the parent directory doesn't exist.
    - Respect the enforced syntax of an unsaved document when removing its
      trailing spaces on saving it.
    - Check the existence of "gio" before using it for opening URLs.
    - Fixed the localization of date and time with Qt6.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 14 Nov 2024 13:59:20 -0800

featherpad (1.5.1-1~exp1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * debian/lintian-overrides: added.

  [ S. 7 ]
  * New upstream version 1.5.1
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/control: Update Build-Depends for Qt6
  * debian/control: Update package description for Qt6
  * debian/control: fix build-depends-on-obsolete-package lintian warning
  * debian/changelog: Update changelog

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * Run wrap-and-sort.
  * debian/control: improve package descriptions.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 02 Oct 2024 16:09:34 +0200
