=== debian/control ===
Source: featherpad
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: editors
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libhunspell-dev,
               libx11-dev,
               libxext-dev,
               pkgconf,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad
Rules-Requires-Root: no

Package: featherpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         featherpad-l10n, libglib2.0-bin
Description: lightweight plain-text editor written in Qt
 FeatherPad is a lightweight plain-text editor written in Qt. It operates
 independently of any desktop environment and comes with all features
 one would expect in a modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Breaks: featherpad (<< 0.11.1)
Replaces: featherpad (<< 0.11.1)
Description: localization files for featherpad
 FeatherPad is a lightweight plain-text editor written in Qt. It operates
 independently of any desktop environment and comes with all features
 one would expect in a modern editor.
 .
 This package contains the localization files needed by the featherpad.
