## featherpad 1.6.0

=== debian/changelog ===
featherpad (1.6.0-0ubuntu2) plucky; urgency=medium

  * Remove unnecessary files from the l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 20:05:13 -0600

featherpad (1.6.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 14:45:24 -0600

featherpad (1.5.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update Standards-version to 4.7.0, no changes needed.
  * Update copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Jul 2024 12:03:42 -0500

featherpad (1.4.1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Update Vcs-*.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Dec 2023 21:04:33 -0600

featherpad (1.3.5-0ubuntu3) lunar; urgency=medium

  * Actually revert to using Qt 5 build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 07 Mar 2023 10:40:07 -0600

featherpad (1.3.5-0ubuntu2) lunar; urgency=medium

  * Revert to building with Qt 5, until the Qt 6 theming story is improved
    under native LXQt.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 06 Mar 2023 19:47:06 -0600

featherpad (1.3.5-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.6.2, no changes needed.
  * Minor copyright updates.
  * Use Qt 6 theming defined by qt6ct as the default, until the Qt 6 theming
    story is improved in LXQt.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Jan 2023 16:03:06 -0600

featherpad (1.3.3-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Manually fix the watch file.
  * Change the maintainer.
  * Remove obsolete Breaks/Replaces.
  * Build using Qt 6.
  * Fix the Lintian override syntax.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 28 Nov 2022 15:41:53 -0600
