=== debian/control ===
Source: featherpad
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libhunspell-dev,
               libqt6svg6-dev,
               libx11-dev,
               libxext-dev,
               pkgconf,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/featherpad-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/featherpad-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: featherpad-l10n, libglib2.0-bin
Description: Lightweight Qt 6 plain-text editor
 FeatherPad is a lightweight Qt 6 plain-text editor for Linux. It is
 independent of any desktop environment and comes with all features one would
 expect in a modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for featherpad
 FeatherPad is a lightweight Qt 6 plain-text editor for Linux. It is
 independent of any desktop environment and comes with all features one would
 expect in a modern editor.
 .
 This package contains the l10n files needed by the featherpad.
